Problem med tsMuxeR och libstdc++ / GLIBC

Trädvy Permalänk
Medlem
Registrerad
Okt 2003

Problem med tsMuxeR och libstdc++ / GLIBC

Tja.

Kör Debian 2.6.18.dfsg.1-18etch1) på min server, men har ett litet problem med tsMuxeR.
När jag försöker starta det får jag följande medelande:
/tmp/tmp.xYreQd6262/tsMuxeR: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by /tmp/tmp.xYreQd6262/tsMuxeR)

ls libstdc++* -l ger mig:

-rw-r--r-- 1 root root 440698 2006-07-13 18:47 libstdc++-3-libc6.2-2-2.10.0.a -rw-r--r-- 1 root root 1295276 2006-07-13 18:39 libstdc++-3-libc6.2-2-2.10.0.so lrwxrwxrwx 1 root root 30 2008-04-10 22:58 libstdc++-libc6.2-2.a.3 -> libstdc++-3-libc6.2-2-2.10.0.a lrwxrwxrwx 1 root root 31 2008-04-10 22:57 libstdc++-libc6.2-2.so.3 -> libstdc++-3-libc6.2-2-2.10.0.so lrwxrwxrwx 1 root root 18 2008-04-10 22:55 libstdc++.so.5 -> libstdc++.so.5.0.7 -rw-r--r-- 1 root root 737624 2007-01-03 19:47 libstdc++.so.5.0.7 lrwxrwxrwx 1 root root 18 2008-04-15 17:53 libstdc++.so.6 -> libstdc++.so.6.0.8 -rw-r--r-- 1 root root 946216 2008-04-13 02:48 libstdc++.so.6.0.10 -rw-r--r-- 1 root root 909044 2006-12-10 15:45 libstdc++.so.6.0.8

Har testat att ändra libstdc++.so.6 till 6.0.10, för den är länkad så på min andra server och där fungerar det, men då får jag detta felet:
/usr/local/bin/tsMuxeR: line 43: 6453 Aritmetiskt fel "$gztmp" ${1+"$@"}

dpkg -l | grep glibc ger mig:

ii libg++2.8.1.3-glibc2.2 2.95.4-27 The GNU C++ extension library - runtime vers ii libstdc++2.10-glibc2.2 2.95.4-27 The GNU stdc++ library

Några tips eller idéer?
Tack på förhand

*edit*
Löste sig när jag uppdaterade gcc, till gcc-4.3